<?xml version="1.0"?>

<st-source>
<time-stamp>From VisualWorks®, 7.3.1 of April 20, 2005 on April 27, 2010 at 5:33:45 pm</time-stamp>
<!-- Package Changes for PV-Application Support(Green.22,bbuxton)* -->


<methods>
<class-id>PROVISO.Pv3002Server</class-id> <category>private actions</category>

<body package="PV-Application Support" selector="handleConnection:">handleConnection: aSocket 
	"Just make sure that the request contains the begin, end and reload"
	
	| requestContents line socketStream aStreamContent |
	socketStream := aSocket readAppendStream.
	aStreamContent := String new writeStream.
	"Receive and verify the reload request:
		BeginMGMT
		reload: PVMHosts
		end."
	line := socketStream nextLine.
	line ifNil: [^nil].
	('*BEGINMGMT*' match: line asUppercase) ifFalse: [^nil].
	aStreamContent nextPutAll: line; cr.

	line := socketStream nextLine.
	line ifNil: [^nil].
	('*RELOAD*' match: line asUppercase) ifFalse: [^nil].
	aStreamContent nextPutAll: line; cr.

	line := socketStream nextLine.
	line ifNil: [^nil].
	('*END*' match: line asUppercase) ifFalse: [^nil].
	aStreamContent nextPutAll: line; cr.

	requestContents := aStreamContent contents readWriteStream.
	"Send the acknowledgement that the client (confReload command) is expecting:
		Id1234:!STATUS!:Created
		Id1234:!STATUS!:Removed"
	socketStream
		nextPutAll: 'Id1234:!STATUS!:Created';
		nextPut: Character lf;
		nextPut: Character cr;
		nextPutAll: 'Id1234:!STATUS!:Removed';
		nextPut: Character lf;
		nextPut: Character cr;
		flush.
	aSocket close.
	requestContents reset.
	self handleChange: requestContents.</body>
</methods>


</st-source>
